import { AframeRegistryEntry } from "../../interfaces";
import { ComponentDefinition } from "aframe";
interface AlNodeSpawnerDefinition extends ComponentDefinition {
    bindListeners(): void;
    addListeners(): void;
    removeListeners(): void;
    canvasMouseDown(event: MouseEvent): void;
    canvasMouseUp(event: MouseEvent): void;
    pointerOver(event: CustomEvent): void;
    pointerOut(event: CustomEvent): void;
    elClick(event: CustomEvent): void;
    pointerDown(event: CustomEvent): void;
    pointerUp(event: CustomEvent): void;
}
export declare class AlNodeSpawnerComponent implements AframeRegistryEntry {
    static readonly Object: AlNodeSpawnerDefinition;
    static readonly Tag: string;
}
export declare class AlNodeSpawnerEvents {
    static VALID_TARGET: string;
    static ADD_NODE: string;
}
export {};
